org.jbpm.services.task.audit.impl.model

## Class TaskEventImpl_

- java.lang.Object
- - org.jbpm.services.task.audit.impl.model.TaskEventImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskEventImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Date>` | `logTime`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String>` | `message`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `taskId`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,org.kie.internal.task.api.model.TaskEvent.TaskEventType>` | `type`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String>` | `userId`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Integer>` | `version`
    `static javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long>` | `workItemId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskEventImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### message

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String> message

    - #### taskId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> taskId

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> id

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> processInstanceId

    - #### logTime

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Date> logTime

    - #### userId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,String> userId

    - #### type

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,org.kie.internal.task.api.model.TaskEvent.TaskEventType> type

    - #### workItemId

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Long> workItemId

    - #### version

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskEventImpl,Integer> version

  - ### Constructor Detail

    - #### TaskEventImpl_

          public TaskEventImpl_()

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.